Summary:	PReconditioned Iterative MultiMethod Eigensolver
Name:		primme
Version:	1.1
Release:	2
License:	LGPL
Group:		Libraries
Source:		http://www.cs.wm.edu/~andreas/software/%{name}_v%{version}.tar.bz2
Source1:	primme-doc.pdf
Source2:	sample.c
URL:		http://www.cs.wm.edu/~andreas/software
BuildRoot:	/var/tmp/%{name}-%{version}-root
Prefix:		/usr

%description
PRIMME finds a number of eigenvalues and their corresponding eigenvectors of a
real symmetric, or complex hermitian matrix A. Largest, smallest and interior
eigenvalues are supported. Preconditioning can be used to accelarate
convergence.

PRIMME is written in C, but a complete Fortran77 interface is provided.

Pronounced as "prime"

%prep
%setup -q -n PRIMME
cp -a %{SOURCE1} .
cp -a %{SOURCE2} .

%build
sed -e 's|^TOP = .*$|TOP = '$RPM_BUILD_DIR'/PRIMME|g' \
	-e 's/^CFLAGS = .*$/CFLAGS = -O2 -g -fPIC/g' \
	-e 's/^FFLAGS = .*$/FFLAGS = -O2 -fpic/g' Make_flags >tmp
mv -f tmp Make_flags
make lib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/primme $RPM_BUILD_ROOT/%{_libdir}

mkdir tmp
cd tmp
ar x ../libprimme.a
rm -f primme_f77.o	# it calls undefined zprimme()
gcc -shared -o $RPM_BUILD_ROOT/%{_libdir}/libprimme.so *.o
cd ..
rm -rf tmp

sed -e 's/\"Complex.h\"/\"primme\/Complex.h\"/g' PRIMMESRC/COMMONSRC/primme.h \
	> $RPM_BUILD_ROOT/%{_includedir}/primme.h
chmod a+r $RPM_BUILD_ROOT/%{_includedir}/primme.h
cp -a PRIMMESRC/COMMONSRC/Complex.h $RPM_BUILD_ROOT/%{_includedir}/primme/.

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt COPYING.txt sample.c primme-doc.pdf
%{_includedir}/primme.h
%{_includedir}/primme/Complex.h
%{_libdir}/libprimme.so

%changelog
